#if !defined(TRIGGER_H)
#define TRIGGER_H

/****************************************************************************/
/** \class Trigger
    \brief Zeitgesteuerte Zustandsklasse
*****************************************************************************/
class Trigger  
{
public:
	Trigger();
   Trigger(int t);

	virtual ~Trigger();

   void set (int t);
   bool isTriggered(void);

private:

   unsigned long m_triggerTime;
   unsigned long m_startTime;
};

#endif // !defined(TRIGGER_H)
